Get List of Available Institutions or Banks
curl --request GET \
--url https://api.atoa.me/api/institutions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atoa.me/api/institutions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atoa.me/api/institutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "lloyds",
"name": "Lloyds (Personal)",
"fullName": "Lloyds (Personal)",
"media": [
{
"type": "icon",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/lloyds_4x.webp"
},
{
"type": "logo",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/lloyds_4x.webp"
}
],
"features": [
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING",
"ACCOUNT_TRANSACTIONS",
"ACCOUNTS",
"ACCOUNT",
"READ_DOMESTIC_SINGLE_REFUND",
"CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING"
],
"enabled": true,
"orderBy": 999,
"popularBank": false,
"bankPhoneNumber": null,
"transactionAmountLimit": null,
"businessBank": null,
"bankCode": "LOYD"
},
{
"id": "bankofscotland",
"name": "Bank of Scotland (Personal)",
"fullName": "Bank of Scotland (Personal)",
"media": [
{
"type": "logo",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/bank_of_scotland_4x.webp"
},
{
"type": "icon",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/bank_of_scotland_4x.webp"
}
],
"features": [
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING",
"ACCOUNT_TRANSACTIONS",
"ACCOUNTS",
"ACCOUNT",
"READ_DOMESTIC_SINGLE_REFUND"
],
"enabled": true,
"orderBy": 999,
"popularBank": false,
"bankPhoneNumber": null,
"transactionAmountLimit": null,
"businessBank": null,
"bankCode": "BOFS"
},
{
"id": "rbs",
"name": "Royal Bank of Scotland",
"fullName": "Royal Bank of Scotland",
"media": [
{
"type": "logo",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/rbs_4x.webp"
},
{
"type": "icon",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/rbs_4x.webp"
}
],
"features": [
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING",
"ACCOUNT_TRANSACTIONS",
"ACCOUNTS",
"ACCOUNT"
],
"enabled": true,
"orderBy": 999,
"popularBank": false,
"bankPhoneNumber": null,
"transactionAmountLimit": null,
"businessBank": null,
"bankCode": "RBSS"
}
]
{
"name": "INTERNAL_SERVER_ERROR",
"message": "Error connecting to institution, please contact support if persists or try again later",
"status": 500,
"errors": "[]"
}
Institutions
Get List of Available Institutions or Banks
Retrieve the list of supported UK banks and institutions for Atoa Pay by Bank payments, with logos and identifiers.
GET
/
api
/
institutions
Get List of Available Institutions or Banks

[
{
"id": "lloyds",
"name": "Lloyds (Personal)",
"fullName": "Lloyds (Personal)",
"media": [
{
"type": "icon",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/lloyds_4x.webp"
},
{
"type": "logo",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/lloyds_4x.webp"
}
],
"features": [
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING",
"ACCOUNT_TRANSACTIONS",
"ACCOUNTS",
"ACCOUNT",
"READ_DOMESTIC_SINGLE_REFUND",
"CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING"
],
"enabled": true,
"orderBy": 999,
"popularBank": false,
"bankPhoneNumber": null,
"transactionAmountLimit": null,
"businessBank": null,
"bankCode": "LOYD"
},
{
"id": "bankofscotland",
"name": "Bank of Scotland (Personal)",
"fullName": "Bank of Scotland (Personal)",
"media": [
{
"type": "logo",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/bank_of_scotland_4x.webp"
},
{
"type": "icon",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/bank_of_scotland_4x.webp"
}
],
"features": [
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING",
"ACCOUNT_TRANSACTIONS",
"ACCOUNTS",
"ACCOUNT",
"READ_DOMESTIC_SINGLE_REFUND"
],
"enabled": true,
"orderBy": 999,
"popularBank": false,
"bankPhoneNumber": null,
"transactionAmountLimit": null,
"businessBank": null,
"bankCode": "BOFS"
},
{
"id": "rbs",
"name": "Royal Bank of Scotland",
"fullName": "Royal Bank of Scotland",
"media": [
{
"type": "logo",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/rbs_4x.webp"
},
{
"type": "icon",
"source": "https://atoa-static-images.s3.eu-west-2.amazonaws.com/bank_logos/v3/rbs_4x.webp"
}
],
"features": [
"INITIATE_DOMESTIC_SINGLE_PAYMENT",
"INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING",
"ACCOUNT_TRANSACTIONS",
"ACCOUNTS",
"ACCOUNT"
],
"enabled": true,
"orderBy": 999,
"popularBank": false,
"bankPhoneNumber": null,
"transactionAmountLimit": null,
"businessBank": null,
"bankCode": "RBSS"
}
]
{
"name": "INTERNAL_SERVER_ERROR",
"message": "Error connecting to institution, please contact support if persists or try again later",
"status": 500,
"errors": "[]"
}
string
Unique Institution id
string
Name of the Institution
string
Full name of the Institution
array
List of supported features for this institution (e.g.,
INITIATE_DOMESTIC_SINGLE_PAYMENT, ACCOUNT_TRANSACTIONS)boolean
Whether the institution is currently enabled
number
Sort order for displaying the institution
boolean
Whether the institution is marked as a popular bank
string
Phone number of the bank (if available)
number
Transaction amount limit for the institution (if applicable)
boolean
Whether this is a business banking institution
string
Bank identifier code (e.g., SWIFT/BIC code)
⌘I